ParameterDescription (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.constant

## Annotation Type ParameterDescription

-     @Documented
       @Retention(value=RUNTIME)
       @Target(value=FIELD)
      public @interface ParameterDescription

  Labels an AUID that is a unique identifier for a parameter to an operation. The additional metadata provided by this annotation can be used in combination with the identifier to create a parameter definition.

  See the description of managing definitions in the package summary for more details of how to use these constants and dynamically extend the range of supported parameters.

  See Also:
    `ParameterConstant`, `ParameterDefinition`, `Parameter`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `typeName` The name of the AAF data type for all values of the parameter.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `aliases` A list of alternative names that can be used as aliases for the parameter.
    `String` | `description` A brief description of the operation parameter.
    `String` | `displayUnits` An optional string of characters to display next to a value of the parameter to indicate its type, eg.

- - ### Element Detail

    - #### typeName

          public abstract String typeName

      The name of the AAF data type for all values of the parameter.

      See Also:
        `Warehouse.lookForType(String)`, `LookupTable`

  - - #### description

          public abstract String description

      A brief description of the operation parameter.

      Default:
        ""

  - - #### aliases

          public abstract String[] aliases

      A list of alternative names that can be used as aliases for the parameter.

      Default:
        {}

  - - #### displayUnits

          public abstract String displayUnits

      An optional string of characters to display next to a value of the parameter to indicate its type, eg. "fps" for frames per second.

      Default:
        ""

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.